Skip to content

getFinancialStatementBalances

READ

Get financial statement balances.

POST /api/v1/accounting/getFinancialStatementBalances
curl -X POST '<your-host>/api/v1/accounting/getFinancialStatementBalances' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "startDate": "string",
    "endDate": "string"
  }'
Response
{
  "results": [
    {
      "netChange": 0,
      "balance": 0,
      "balanceAtDate": 0,
      "accountType": "Bank",
      "active": true,
      "class": "Expense",
      "companyGroupId": "string",
      "consolidatedRate": "Average",
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "id": "string",
      "incomeBalance": "Balance Sheet",
      "isGroup": true,
      "isSystem": true,
      "name": "string",
      "number": "string",
      "parentId": "string",
      "tags": [
        "string"
      ],
      "updatedAt": "string",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "startDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "endDate": {
      "type": [
        "string",
        "null"
      ]
    },
    "includeCurrentYearEarnings": {
      "type": "boolean"
    }
  },
  "required": [
    "startDate",
    "endDate"
  ]
}